### Constructor

# EDataServer XmlDocument new

since: 3.26

#### Declaration [src]

    EXmlDocument*
    e_xml_document_new (
      const gchar* ns_href,
      const gchar* root_element
    )

#### Description [src]

Creates a new `EXmlDocument` with root element `root_element` and optionally also with set default namespace `ns_href`.

Available since: 3.26

#### Parameters

`ns_href`

  Type: `const gchar*`

  Default namespace href to use, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`root_element`

  Type: `const gchar*`

  Root element name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EXmlDocument`

A new `EXmlDocument`; free it with g_object_unref(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.